Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 845450 - app-editors/texworks: needs upgrade to Python 3.10 (PythonCompatUpdate)
Summary: app-editors/texworks: needs upgrade to Python 3.10 (PythonCompatUpdate)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: py310, python3.10-compat
  Show dependency tree
 
Reported: 2022-05-18 18:45 UTC by Sam James
Modified: 2022-07-11 02:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-18 18:45:37 UTC
This package does not support Python 3.10. Please test it with Python 3.10 as a matter of urgency as the default will change in early June, as per message on gentoo-dev: https://archives.gentoo.org/gentoo-dev/message/13aa993921f19b6b095297721ffb0d0b. Ask in #gentoo-python on IRC if need any help.

$ pkgcheck scan -k PythonCompatUpdate app-editors/texworks
app-editors/texworks
  PythonCompatUpdate: version 0.6.5-r100: PYTHON_COMPAT updates available: python3_10, python3_11
  PythonCompatUpdate: version 0.6.6: PYTHON_COMPAT updates available: python3_10, python3_11
Comment 1 Larry the Git Cow gentoo-dev 2022-07-02 13:34:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b4976c5a70db0dd37f6e183d63ff0e18bb42b4c

commit 5b4976c5a70db0dd37f6e183d63ff0e18bb42b4c
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-02 13:32:32 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-02 13:34:14 +0000

    app-editors/texworks: add 0.6.7
    
    Closes: https://bugs.gentoo.org/845450
    Closes: https://bugs.gentoo.org/781989
    Signed-off-by: Sam James <sam@gentoo.org>

 app-editors/texworks/Manifest              |  1 +
 app-editors/texworks/texworks-0.6.7.ebuild | 75 ++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)